DNF5.CONF-VENDORPOLICY(5)

NAME
dnf5.conf-vendorpolicy - DNF5 Vendor Change Policy File Reference

DESCRIPTION

The vendor change policy configuration files define rules for allowed package vendor changes. They specify which vendors (outgoing) are allowed to change to which other vendors (incoming). Vendor matching is performed during package replacement (upgrade/downgrade/reinstall) operations when the allow_vendor_change <#allow-vendor-change-options-label> option is disabled.

The configuration files use TOML format.

SUPPORTED VERSIONS

The vendor change policy configuration format supports two versions:

    •   Version 1.1 - Enhanced version with flexible vendor mapping and package filtering. See DNF5 Vendor Change Policy File Reference - v1.1 <#dnf5-vendor-change-policy-v1-1-label>

    •   Version 1.0 - Basic vendor mapping with strict rules. See DNF5 Vendor Change Policy File Reference - v1.0 <#dnf5-vendor-change-policy-v1-0-label>

Each configuration file must specify its version using the version field.

Note:
        Version 1.1 is the recommended format and is fully backward compatible with version 1.0. All valid 1.0 configurations work with 1.1 by simply changing the version field. Version 1.0 is maintained only for compatibility with existing configurations.

For detailed information about each version's syntax and features, please refer to the version-specific documentation:

    •   DNF5 Vendor Change Policy File Reference - v1.1 <#dnf5-vendor-change-policy-v1-1-label>

    •   DNF5 Vendor Change Policy File Reference - v1.0 <#dnf5-vendor-change-policy-v1-0-label>

CONFIGURATION FILE LOCATIONS

Vendor change policy files are read from the following directories:

    /etc/dnf/vendors.d/
        System configuration directory

    /usr/share/dnf5/vendors.d/
        Distribution configuration directory

Only files with the .conf extension are considered. Configuration files are sorted alphanumerically by their filename and then read in this sorted order.

If a file with the same name exists in both directories, the file from /etc/dnf/vendors.d/ is used. This implies that the distribution configuration file can be simply overridden by creating a file with the same name in the /etc/dnf/vendors.d/ directory.

SEE ALSO

    •   DNF5 Vendor Change Policy File Reference - v1.1 <#dnf5-vendor-change-policy-v1-1-label>

    •   DNF5 Vendor Change Policy File Reference - v1.0 <#dnf5-vendor-change-policy-v1-0-label>

    •   dnf5.conf(5), DNF5 Configuration Reference <#dnf5-conf-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.